<h1 align='center'><samp>Vitesse</samp></h1>

<p align='center'>
<samp>Opinionated <a href="https://github.com/vitejs/vite">Vite</a> Starter Template</samp>
</p>

<p align='center'>
<sup><em>Mocking up web app with <b>⚡️vitesse</b></em></sup>
</p>

<br>

<p align='center'>
<a href="https://vitesse.netilfy.app">Live Demo</a>
</p>

<br>

## Pre-packed

### UI Frameworks

- [Tailwind CSS](https://tailwindcss.com/)
- [tailwindcss-dark-mode](https://github.com/ChanceArthur/tailwindcss-dark-mode)
- [Iconify](https://iconify.design) - use icons from your favorite sets. [🔍Icônes](https://icones.netlify.app/)
<!-- - [variantwind](https://github.com/sibbngheid/variantwind) -->

### Router

- [Vue Router](https://github.com/vuejs/vue-router)
- [Voie](https://github.com/vamplate/vite-plugin-voie) - file system based routing

### Utils

- [vue-i18n](https://github.com/intlify/vue-i18n-next)
- [VueUse](https://github.com/antfu/vueuse)

### Misc

- Use Composition API with [`<script setup>` SFC](https://github.com/vuejs/rfcs/blob/sfc-improvements/active-rfcs/0000-sfc-script-setup.md)

### Dev tools

- [Typescript](https://www.typescriptlang.org/)
- [pnpm](https://pnpm.js.org/)
- [Netlify](https://www.netlify.com/)
- [ESLint](https://eslint.org/) with [@antfu/eslint-config-vue](https://github.com/antfu/eslint-config)
- [VS Code Extensions](./.vscode/extensions.json)

## Try it now!

[Create a repo from this template on Github](https://github.com/antfu/vitesse/generate).

Or if you prefers do to manually with cleaner git history

```bash
npx degit antfu/vitesse my-vitesse-app
cd my-vitesse-app
pnpm i # If you don't have pnpm installed, run: npm install -g pnpm
```

## Why

I have created several Vite apps recently. Setting the configs up is kinda the bottleneck for me to make the idea simply comes true in a very short time. 

So I made this starter template for myself to create apps more easily, along with some good practices that I have learned from making those apps. It's strongly opinionated, but feel free to tweak it or even maintains your own forks.
